<script>
import {
    BIconCodeSlash
} from "bootstrap-vue";
import edit from "@/components/modal/code/MC-script";
export default {
    props: {
        path: {
            type: String,
            default: "edit",
        },
        item: {
            type: [Array, Object],
            default: () => [],
        },
    },
    methods: {
        openModal() {
            this.$bvModal.show(`code_modal_gallery_${this.item.id}`);
        },
    },
    render(h) {
        let vm = this;
        let env = vm.path == "edit";
        let edit_method = env ?
            {
                click() {
                    vm.openModal();
                },
            } :
            {};
        let edit_code_section = env ?
            [
                h(BIconCodeSlash, {
                    props: {
                        fontScale: 7.5,
                    },
                }),
                h(
                    "h4", {
                        class: ["col-12", "mt-4", "text-center"],
                    },
                    ["請按 ", h(BIconCodeSlash), " 即可加入HTML程式碼(HTML/CSS/JS)"]
                ),
                h(edit, {
                    props: {
                        index: vm.item.id,
                        default_code: vm.item.content.script,
                        mode: "gallery",
                    },
                }),
            ] :
            [];

        let res = h(
            "div", {
                attrs: {
                    id: "code",
                },
                style: {
                    display: "flex",
                    justifyContent: "center",
                    flexWrap: "wrap",
                    height: "auto",
                    textAlign: "center",
                },
                on: edit_method,
            },
            [
                h(
                    "script", {
                        attrs: {
                            type: "text/javascript",
                        },
                        nativeOn: {
                            onload() {},
                        },
                    },
                    [vm.item.content.script]
                ),
                ...edit_code_section,
            ]
        );

        return res;
    },
    components: {
        BIconCodeSlash,
    },
};
</script>

<style lang="scss">
#code {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    height: auto;
    text-align: center;
}
</style>
